GNU logs - #33113, boring messages


Message sent to bug-coreutils@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#33113: incorrect and inconsistent quoting in ls output
Resent-From: Vincent Lefevre <vincent@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-coreutils@HIDDEN
Resent-Date: Sun, 21 Oct 2018 23:45:02 +0000
Resent-Message-ID: <handler.33113.B.154016544431713 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 33113
X-GNU-PR-Package: coreutils
X-GNU-PR-Keywords: 
To: 33113 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-coreutils@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.154016544431713
          (code B ref -1); Sun, 21 Oct 2018 23:45:02 +0000
Received: (at submit) by debbugs.gnu.org; 21 Oct 2018 23:44:04 +0000
Received: from localhost ([127.0.0.1]:34890 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gENO8-0008FQ-DK
	for submit <at> debbugs.gnu.org; Sun, 21 Oct 2018 19:44:04 -0400
Received: from eggs.gnu.org ([208.118.235.92]:37138)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vincent@HIDDEN>) id 1gENO6-0008Eo-Ap
 for submit <at> debbugs.gnu.org; Sun, 21 Oct 2018 19:44:02 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <vincent@HIDDEN>) id 1gENNz-0003PL-P5
 for submit <at> debbugs.gnu.org; Sun, 21 Oct 2018 19:43:56 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-1.9 required=5.0 tests=BAYES_00 autolearn=disabled
 version=3.3.2
Received: from lists.gnu.org ([2001:4830:134:3::11]:47869)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <vincent@HIDDEN>) id 1gENNz-0003Oz-IL
 for submit <at> debbugs.gnu.org; Sun, 21 Oct 2018 19:43:55 -0400
Received: from eggs.gnu.org ([2001:4830:134:3::10]:46581)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <vincent@HIDDEN>) id 1gENNu-0005WF-Ab
 for bug-coreutils@HIDDEN; Sun, 21 Oct 2018 19:43:55 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <vincent@HIDDEN>) id 1gENFC-0008Q1-6J
 for bug-coreutils@HIDDEN; Sun, 21 Oct 2018 19:34:53 -0400
Received: from joooj.vinc17.net ([2001:4b99:1:3:216:3eff:fe20:ac98]:52080)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <vincent@HIDDEN>) id 1gENFB-0008PS-VP
 for bug-coreutils@HIDDEN; Sun, 21 Oct 2018 19:34:50 -0400
Received: from smtp-zira.vinc17.net (128.119.75.86.rev.sfr.net [86.75.119.128])
 by joooj.vinc17.net (Postfix) with ESMTPSA id F0BE09D;
 Mon, 22 Oct 2018 01:34:40 +0200 (CEST)
Received: by zira.vinc17.org (Postfix, from userid 1000)
 id 4C6BCC2008A; Mon, 22 Oct 2018 01:34:40 +0200 (CEST)
Date: Mon, 22 Oct 2018 01:34:40 +0200
From: Vincent Lefevre <vincent@HIDDEN>
Message-ID: <20181021233440.GC25339@HIDDEN>
Mail-Followup-To: Vincent Lefevre <vincent@HIDDEN>, bug-coreutils@HIDDEN
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Disposition: inline
X-Mailer-Info: https://www.vinc17.net/mutt/
User-Agent: Mutt/1.10.1+136 (420226ce) vl-108074 (2018-10-17)
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 2001:4830:134:3::11
X-Spam-Score: -5.0 (-----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

I get the following with ls (GNU coreutils) 8.30.

zira% touch a=3Db a=3Db\&c
zira% ls a=3Db*
'a=3Db'  'a=3Db&c'
zira% ls -b a=3Db*
a=3Db  a=3Db&c
zira% ls -F a=3Db*
'a=3Db'  'a=3Db&c'
zira% ls -bF a=3Db*
a\=3Db  a\=3Db&c

AFAIK, the =3D character is not a shell metacharacter (except with zsh
but only in the first position), thus does not need to be quoted.

Moreover, while & is not a metacharacter, it is a special character
that should be quoted for practical reasons.

In particular, this inconsistency with -bF makes a\=3Db&c unusable by
copy-paste, as a\=3Db&c can't be used directly in a shell command, and
'a\=3Db&c' is not OK either.

Note: Such filenames with =3D and & can be produced by "wget -r".

--=20
Vincent Lef=E8vre <vincent@HIDDEN> - Web: <https://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <https://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Vincent Lefevre <vincent@HIDDEN>
Subject: bug#33113: Acknowledgement (incorrect and inconsistent quoting in
 ls output)
Message-ID: <handler.33113.B.154016544431713.ack <at> debbugs.gnu.org>
References: <20181021233440.GC25339@HIDDEN>
X-Gnu-PR-Message: ack 33113
X-Gnu-PR-Package: coreutils
Reply-To: 33113 <at> debbugs.gnu.org
Date: Sun, 21 Oct 2018 23:45:02 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-coreutils@HIDDEN

If you wish to submit further information on this problem, please
send it to 33113 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
33113: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D33113
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-coreutils@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#33113: incorrect and inconsistent quoting in ls output
Resent-From: Paul Eggert <eggert@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-coreutils@HIDDEN
Resent-Date: Mon, 22 Oct 2018 08:22:02 +0000
Resent-Message-ID: <handler.33113.B33113.154019651423123 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 33113
X-GNU-PR-Package: coreutils
X-GNU-PR-Keywords: 
To: Vincent Lefevre <vincent@HIDDEN>
Cc: 33113 <at> debbugs.gnu.org
Received: via spool by 33113-submit <at> debbugs.gnu.org id=B33113.154019651423123
          (code B ref 33113); Mon, 22 Oct 2018 08:22:02 +0000
Received: (at 33113) by debbugs.gnu.org; 22 Oct 2018 08:21:54 +0000
Received: from localhost ([127.0.0.1]:35090 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gEVTF-00060s-Uu
	for submit <at> debbugs.gnu.org; Mon, 22 Oct 2018 04:21:54 -0400
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:38068)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1gEVTD-00060c-LA
 for 33113 <at> debbugs.gnu.org; Mon, 22 Oct 2018 04:21:52 -0400
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id B0EE2160054;
 Mon, 22 Oct 2018 01:21:44 -0700 (PDT)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id tiuVPHY2UyXq; Mon, 22 Oct 2018 01:21:44 -0700 (PDT)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 0A7D7160060;
 Mon, 22 Oct 2018 01:21:44 -0700 (PDT)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id KCZu0bwNfI_a; Mon, 22 Oct 2018 01:21:43 -0700 (PDT)
Received: from [192.168.1.9] (cpe-23-242-74-103.socal.res.rr.com
 [23.242.74.103])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id DD22B160054;
 Mon, 22 Oct 2018 01:21:43 -0700 (PDT)
References: <20181021233440.GC25339@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <41e01873-ad78-3f76-7a8f-a036bb5fa733@HIDDEN>
Date: Mon, 22 Oct 2018 01:21:40 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.2.1
MIME-Version: 1.0
In-Reply-To: <20181021233440.GC25339@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Vincent Lefevre wrote:
> I get the following with ls (GNU coreutils) 8.30.
> 
> zira% touch a=b a=b\&c
> zira% ls a=b*
> 'a=b'  'a=b&c'
> zira% ls -b a=b*
> a=b  a=b&c
> zira% ls -F a=b*
> 'a=b'  'a=b&c'
> zira% ls -bF a=b*
> a\=b  a\=b&c
> 
> AFAIK, the = character is not a shell metacharacter (except with zsh
> but only in the first position), thus does not need to be quoted.

'=' is a shell metacharacter after 'set -k' in Bash.

> Moreover, while & is not a metacharacter, it is a special character
> that should be quoted for practical reasons.

As far as I can see '&' is being quoted correctly in the above examples. -b 
means to quote for C strings, not for the shell. If you want to quote for the 
shell, try --quoting-style='shell-escape'.




Message sent to bug-coreutils@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#33113: incorrect and inconsistent quoting in ls output
Resent-From: Vincent Lefevre <vincent@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-coreutils@HIDDEN
Resent-Date: Mon, 22 Oct 2018 08:46:02 +0000
Resent-Message-ID: <handler.33113.B33113.154019790225268 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 33113
X-GNU-PR-Package: coreutils
X-GNU-PR-Keywords: 
To: Paul Eggert <eggert@HIDDEN>
Cc: 33113 <at> debbugs.gnu.org
Received: via spool by 33113-submit <at> debbugs.gnu.org id=B33113.154019790225268
          (code B ref 33113); Mon, 22 Oct 2018 08:46:02 +0000
Received: (at 33113) by debbugs.gnu.org; 22 Oct 2018 08:45:02 +0000
Received: from localhost ([127.0.0.1]:35096 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gEVpd-0006ZD-Tm
	for submit <at> debbugs.gnu.org; Mon, 22 Oct 2018 04:45:02 -0400
Received: from joooj.vinc17.net ([155.133.131.76]:59258)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vincent@HIDDEN>) id 1gEVpb-0006Ym-QV
 for 33113 <at> debbugs.gnu.org; Mon, 22 Oct 2018 04:45:00 -0400
Received: from smtp-zira.vinc17.net
 (2a02-8429-80cd-3101-328d-99ff-fe25-ad3f.rev.sfr.net
 [IPv6:2a02:8429:80cd:3101:328d:99ff:fe25:ad3f])
 by joooj.vinc17.net (Postfix) with ESMTPSA id 13383C2;
 Mon, 22 Oct 2018 10:44:58 +0200 (CEST)
Received: by zira.vinc17.org (Postfix, from userid 1000)
 id B6783C2008A; Mon, 22 Oct 2018 10:44:57 +0200 (CEST)
Date: Mon, 22 Oct 2018 10:44:57 +0200
From: Vincent Lefevre <vincent@HIDDEN>
Message-ID: <20181022084457.GE25339@HIDDEN>
References: <20181021233440.GC25339@HIDDEN>
 <41e01873-ad78-3f76-7a8f-a036bb5fa733@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <41e01873-ad78-3f76-7a8f-a036bb5fa733@HIDDEN>
X-Mailer-Info: https://www.vinc17.net/mutt/
User-Agent: Mutt/1.10.1+136 (420226ce) vl-108074 (2018-10-17)
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 2018-10-22 01:21:40 -0700, Paul Eggert wrote:
> Vincent Lefevre wrote:
> > I get the following with ls (GNU coreutils) 8.30.
> > 
> > zira% touch a=b a=b\&c
> > zira% ls a=b*
> > 'a=b'  'a=b&c'
> > zira% ls -b a=b*
> > a=b  a=b&c
> > zira% ls -F a=b*
> > 'a=b'  'a=b&c'
> > zira% ls -bF a=b*
> > a\=b  a\=b&c
> > 
> > AFAIK, the = character is not a shell metacharacter (except with zsh
> > but only in the first position), thus does not need to be quoted.

Actually it seems that the meaning of "metacharacter" is ambiguous.
In bash, & is regarded as a metacharacter:

  metacharacter
      A  character that, when unquoted, separates words.  One of the
      following:
      |  & ; ( ) < > space tab newline

> '=' is a shell metacharacter after 'set -k' in Bash.

It's a special character, but not a metacharacter (see above).
But then I agree on the need for quoting, if particular shells
are taking into account.

> > Moreover, while & is not a metacharacter, it is a special character
> > that should be quoted for practical reasons.
> 
> As far as I can see '&' is being quoted correctly in the above examples.

Not with "ls -bF": the quoting in a\=b&c is inconsistent.
Just like =, & should be quoted. Or = shouldn't be quoted
(see below).

> -b means to quote for C strings, not for the shell.

Hmm, yes... The issue here is that -b was actually changing the
quoting style, hence my confusion on this point. That's a bug in
the ls man page, which does not say so:

       -b, --escape
              print C-style escapes for nongraphic characters

The info manual is OK:

‘-b’
‘--escape’
‘--quoting-style=escape’
     Quote nongraphic characters in file names using alphabetic and
     octal backslash sequences like those used in C.

> If you want to quote for the shell, try
> --quoting-style='shell-escape'.

That's already the default. Actually, the confusion comes from the
ls man page.

On the behavior, there's still the issue concerning = and &.

-- 
Vincent Lefèvre <vincent@HIDDEN> - Web: <https://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <https://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)




Message sent to bug-coreutils@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#33113: incorrect and inconsistent quoting in ls output
Resent-From: Paul Eggert <eggert@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-coreutils@HIDDEN
Resent-Date: Wed, 24 Oct 2018 00:55:02 +0000
Resent-Message-ID: <handler.33113.B33113.154034247423208 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 33113
X-GNU-PR-Package: coreutils
X-GNU-PR-Keywords: 
To: Vincent Lefevre <vincent@HIDDEN>
Cc: 33113 <at> debbugs.gnu.org
Received: via spool by 33113-submit <at> debbugs.gnu.org id=B33113.154034247423208
          (code B ref 33113); Wed, 24 Oct 2018 00:55:02 +0000
Received: (at 33113) by debbugs.gnu.org; 24 Oct 2018 00:54:34 +0000
Received: from localhost ([127.0.0.1]:38962 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gF7RS-00062G-I7
	for submit <at> debbugs.gnu.org; Tue, 23 Oct 2018 20:54:34 -0400
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:42218)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1gF7RP-000621-To
 for 33113 <at> debbugs.gnu.org; Tue, 23 Oct 2018 20:54:32 -0400
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 7E84116010E;
 Tue, 23 Oct 2018 17:54:25 -0700 (PDT)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id UNpWB8QNI62O; Tue, 23 Oct 2018 17:54:24 -0700 (PDT)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id CA6B0160110;
 Tue, 23 Oct 2018 17:54:24 -0700 (PDT)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id geBNl1SAuLtj; Tue, 23 Oct 2018 17:54:24 -0700 (PDT)
Received: from Penguin.CS.UCLA.EDU (Penguin.CS.UCLA.EDU [131.179.64.200])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id AF08216010E;
 Tue, 23 Oct 2018 17:54:24 -0700 (PDT)
References: <20181021233440.GC25339@HIDDEN>
 <41e01873-ad78-3f76-7a8f-a036bb5fa733@HIDDEN>
 <20181022084457.GE25339@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Openpgp: preference=signencrypt
Autocrypt: addr=eggert@HIDDEN; prefer-encrypt=mutual; keydata=
 xsFNBEyAcmQBEADAAyH2xoTu7ppG5D3a8FMZEon74dCvc4+q1XA2J2tBy2pwaTqfhpxxdGA9
 Jj50UJ3PD4bSUEgN8tLZ0san47l5XTAFLi2456ciSl5m8sKaHlGdt9XmAAtmXqeZVIYX/UFS
 96fDzf4xhEmm/y7LbYEPQdUdxu47xA5KhTYp5bltF3WYDz1Ygd7gx07Auwp7iw7eNvnoDTAl
 KAl8KYDZzbDNCQGEbpY3efZIvPdeI+FWQN4W+kghy+P6au6PrIIhYraeua7XDdb2LS1en3Ss
 mE3QjqfRqI/A2ue8JMwsvXe/WK38Ezs6x74iTaqI3AFH6ilAhDqpMnd/msSESNFt76DiO1ZK
 QMr9amVPknjfPmJISqdhgB1DlEdw34sROf6V8mZw0xfqT6PKE46LcFefzs0kbg4GORf8vjG2
 Sf1tk5eU8MBiyN/bZ03bKNjNYMpODDQQwuP84kYLkX2wBxxMAhBxwbDVZudzxDZJ1C2VXujC
 OJVxq2kljBM9ETYuUGqd75AW2LXrLw6+MuIsHFAYAgRr7+KcwDgBAfwhPBYX34nSSiHlmLC+
 KaHLeCLF5ZI2vKm3HEeCTtlOg7xZEONgwzL+fdKo+D6SoC8RRxJKs8a3sVfI4t6CnrQzvJbB
 n6gxdgCu5i29J1QCYrCYvql2UyFPAK+do99/1jOXT4m2836j1wARAQABzSBQYXVsIEVnZ2Vy
 dCA8ZWdnZXJ0QGNzLnVjbGEuZWR1PsLBfgQTAQIAKAUCTIByZAIbAwUJEswDAAYLCQgHAwIG
 FQgCCQoLBBYCAwECHgECF4AACgkQ7ZfpDmKqfjRRGw/+Ij03dhYfYl/gXVRiuzV1gGrbHk+t
 nfrI/C7fAeoFzQ5tVgVinShaPkZo0HTPf18x6IDEdAiO8Mqo1yp0CtHmzGMCJ50o4Grgfjlr
 6g/+vtEOKbhleszN2XpJvpwM2QgGvn/laTLUu8PH9aRWTs7qJJZKKKAb4sxYc92FehPu6FOD
 0dDiyhlDAq4lOV2mdBpzQbiojoZzQLMQwjpgCTK2572eK9EOEQySUThXrSIz6ASenp4NYTFH
 s9tuJQvXk9gZDdPSl3bp+47dGxlxEWLpBIM7zIONw4ks4azgT8nvDZxA5IZHtvqBlJLBObYY
 0Le61Wp0y3TlBDh2qdK8eYL426W4scEMSuig5gb8OAtQiBW6k2sGUxxeiv8ovWu8YAZgKJfu
 oWI+uRnMEddruY8JsoM54KaKvZikkKs2bg1ndtLVzHpJ6qFZC7QVjeHUh6/BmgvdjWPZYFTt
 N+KA9CWX3GQKKgN3uu988yznD7LnB98T4EUH1HA/GnfBqMV1gpzTvPc4qVQinCmIkEFp83zl
 +G5fCjJJ3W7ivzCnYo4KhKLpFUm97okTKR2LW3xZzEW4cLSWO387MTK3CzDOx5qe6s4a91Zu
 ZM/j/TQdTLDaqNn83kA4Hq48UHXYxcIh+Nd8k/3w6lFuoK0wrOFiywjLx+0ur5jmmbecBGHc
 1xdhAFHOwU0ETIByZAEQAKaF678T9wyH4wjTrV1Pz3cDEoSnV/0ZUrOT37p1dcGyj/IXq1x6
 70HRVahAmk0sZpYc25PF9D5GPYHFWlNjuPU96rDndXB3hedmBRhLdC4bAXjI4DV+bmdVe+q/
 IMnlZRaVlm9EiMCVAR6w13sReu7qXkW9r3RwY2AzXskp/tAe4BRKr1Zmbvi2nbnQ6epEC42r
 Rbx0B1EhjbIQZ5JHGk24iPT7LdBgnNmos5wYjzwNlkMQD5T0Ydzhk7J+UxwA5m46mOhRDC2r
 FV/A0gm5TLy8DXjv/Esc4gYnYai6SQqnUEVh5LuV8YCJBnijs+Tiw71x1icmn6xGI45EugJO
 gec+rLypYgpVp4x0HI5T88qBRYCkxH3Kg8Qo+EWNA9A4LRQ9DX8njona0gf0s03tocK8kBN6
 6UoqqPtHBnc4eMgBymCflK12eKfd2YYxnyg9cZazWA5VslvTxpm76hbg5oiAEH/Vg/8MxHyA
 nPhfrgwyPrmJEcVBafdspJnYQxBYNco2LFPIhlOvWh8r4at+s+M3Lb26oUTczlgdW1Sf3SDA
 77BMRnF0FQyE+7AzV79MBN4ykiqaezQxtaF1Fy/tvkhffSo8u+dwG0EgJh+te38gTcISVr0G
 IPplLz6YhjrbHrPRF1CN5UuL9DBGjxuN35RLNVEfta6RUFlR6NctTjvrABEBAAHCwWUEGAEC
 AA8FAkyAcmQCGwwFCRLMAwAACgkQ7ZfpDmKqfjSrHA/+KzAKvTxRhA9MWNLxIyJ7S5uJ16gs
 T3oCjZrBKGEhKMOGX4O0GA6VOEryO7QRCCYah3oxSG38IAnNeiwJXgU9Bzkk85UGbPEd7HGF
 /VSeHCQwWou6jqUDTSDvn9YhNTdG0KXPM74aC+xr2Zow1O2mhXihgWKD0Dw+0LYPnUOsQ0KO
 FxHXXYHmRrS1OZPU59BLvc+TRhIhafSHKLwbXK+6ckkxBx6h8z5ccpG0Qs4bFhdFYnFrEieD
 LoGmnE2YLhdV6swJ9VNCS6pLiEohT3fm7aXm15tZOIyzMZhHRSAPblXxQ0ZSWjq8oRrcYNFx
 c4W1URpAkBCOYJoXvQfD5L3lqAl8TCqDUzYxhH/tJhbDdHrqHH767jaDaTB1+Talp/2AMKwc
 XNOdiklGxbmHVG6YGl6g8Lrbsu9NZEI4yLlHzuikthJWgz+3vZhVGyNlt+HNIoF6CjDL2omu
 5cEq4RDHM44QqPk6l7O0pUvN1mT4B+S1b08RKpqm/ff015E37HNV/piIvJlxGAYz8PSfuGCB
 1thMYqlmgdhd9/BabGFbGGYHA6U4/T5zqU+f6xHy1SsAQZ1MSKlLwekBIT+4/cLRGqCHjnV0
 q5H/T6a7t5mPkbzSrOLSo4puj+IToNjYyYIDBWzhlA19avOa+rvUjmHtD3sFN7cXWtkGoi8b
 uNcby4U=
Organization: UCLA Computer Science Department
Message-ID: <cfbbebee-19b8-dd02-6748-5ede4384309f@HIDDEN>
Date: Tue, 23 Oct 2018 17:54:24 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.2.1
MIME-Version: 1.0
In-Reply-To: <20181022084457.GE25339@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit
Content-Language: en-US
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

On 10/22/18 1:44 AM, Vincent Lefevre wrote:
> On the behavior, there's still the issue concerning = and &.

Yes, you're right, there's no need to quote = with -b.





Message sent to bug-coreutils@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#33113: incorrect and inconsistent quoting in ls output
Resent-From: =?UTF-8?Q?P=C3=A1draig?= Brady <P@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-coreutils@HIDDEN
Resent-Date: Sat, 27 Oct 2018 14:29:02 +0000
Resent-Message-ID: <handler.33113.B33113.15406505128817 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 33113
X-GNU-PR-Package: coreutils
X-GNU-PR-Keywords: 
To: Paul Eggert <eggert@HIDDEN>, Vincent Lefevre <vincent@HIDDEN>
Cc: 33113 <at> debbugs.gnu.org
Received: via spool by 33113-submit <at> debbugs.gnu.org id=B33113.15406505128817
          (code B ref 33113); Sat, 27 Oct 2018 14:29:02 +0000
Received: (at 33113) by debbugs.gnu.org; 27 Oct 2018 14:28:32 +0000
Received: from localhost ([127.0.0.1]:45560 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gGPZo-0002I9-9z
	for submit <at> debbugs.gnu.org; Sat, 27 Oct 2018 10:28:32 -0400
Received: from mail.magicbluesmoke.com ([82.195.144.49]:52480)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <P@HIDDEN>) id 1gGPZl-0002Hz-Jd
 for 33113 <at> debbugs.gnu.org; Sat, 27 Oct 2018 10:28:30 -0400
Received: from localhost.localdomain (unknown [109.79.71.121])
 (using TLSv1.2 with cipher ECDHE-RSA-AES128-GCM-SHA256 (128/128 bits))
 (No client certificate requested)
 by mail.magicbluesmoke.com (Postfix) with ESMTPSA id 47C6B9BA2;
 Sat, 27 Oct 2018 15:28:27 +0100 (IST)
References: <20181021233440.GC25339@HIDDEN>
 <41e01873-ad78-3f76-7a8f-a036bb5fa733@HIDDEN>
 <20181022084457.GE25339@HIDDEN>
 <cfbbebee-19b8-dd02-6748-5ede4384309f@HIDDEN>
From: =?UTF-8?Q?P=C3=A1draig?= Brady <P@HIDDEN>
Message-ID: <301b9c72-1c72-9c46-0566-569e34579ea4@HIDDEN>
Date: Sat, 27 Oct 2018 07:28:26 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:45.0) Gecko/20100101
 Thunderbird/45.8.0
MIME-Version: 1.0
In-Reply-To: <cfbbebee-19b8-dd02-6748-5ede4384309f@HIDDEN>
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 23/10/18 17:54, Paul Eggert wrote:
> On 10/22/18 1:44 AM, Vincent Lefevre wrote:
>> On the behavior, there's still the issue concerning = and &.
> 
> Yes, you're right, there's no need to quote = with -b.

The reason \= is quoted with -bF is to distinguish socket
names that end in =. An edge case indeed, though the issue
is not particular to '=', but all of the classifier chars.

Now we could quote with -F only if these chars are at the end,
though I'm not sure that complexity is warranted.

cheers,
Pádraig




Message sent to bug-coreutils@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#33113: incorrect and inconsistent quoting in ls output
Resent-From: Vincent Lefevre <vincent@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-coreutils@HIDDEN
Resent-Date: Sun, 28 Oct 2018 13:22:01 +0000
Resent-Message-ID: <handler.33113.B33113.15407328677324 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 33113
X-GNU-PR-Package: coreutils
X-GNU-PR-Keywords: 
To: =?UTF-8?Q?P=C3=A1draig?= Brady <P@HIDDEN>
Cc: 33113 <at> debbugs.gnu.org, Paul Eggert <eggert@HIDDEN>
Received: via spool by 33113-submit <at> debbugs.gnu.org id=B33113.15407328677324
          (code B ref 33113); Sun, 28 Oct 2018 13:22:01 +0000
Received: (at 33113) by debbugs.gnu.org; 28 Oct 2018 13:21:07 +0000
Received: from localhost ([127.0.0.1]:46819 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gGl07-0001u2-9V
	for submit <at> debbugs.gnu.org; Sun, 28 Oct 2018 09:21:07 -0400
Received: from joooj.vinc17.net ([155.133.131.76]:33104)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <vincent@HIDDEN>) id 1gGl05-0001tu-4k
 for 33113 <at> debbugs.gnu.org; Sun, 28 Oct 2018 09:21:05 -0400
Received: from smtp-zira.vinc17.net
 (2a02-8429-80cd-3101-328d-99ff-fe25-ad3f.rev.sfr.net
 [IPv6:2a02:8429:80cd:3101:328d:99ff:fe25:ad3f])
 by joooj.vinc17.net (Postfix) with ESMTPSA id BA2339F;
 Sun, 28 Oct 2018 14:21:03 +0100 (CET)
Received: by zira.vinc17.org (Postfix, from userid 1000)
 id 0BC37C2009F; Sun, 28 Oct 2018 14:21:02 +0100 (CET)
Date: Sun, 28 Oct 2018 14:21:02 +0100
From: Vincent Lefevre <vincent@HIDDEN>
Message-ID: <20181028132102.GK25339@HIDDEN>
References: <20181021233440.GC25339@HIDDEN>
 <41e01873-ad78-3f76-7a8f-a036bb5fa733@HIDDEN>
 <20181022084457.GE25339@HIDDEN>
 <cfbbebee-19b8-dd02-6748-5ede4384309f@HIDDEN>
 <301b9c72-1c72-9c46-0566-569e34579ea4@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <301b9c72-1c72-9c46-0566-569e34579ea4@HIDDEN>
X-Mailer-Info: https://www.vinc17.net/mutt/
User-Agent: Mutt/1.10.1+136 (420226ce) vl-108074 (2018-10-17)
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On 2018-10-27 07:28:26 -0700, Pdraig Brady wrote:
> On 23/10/18 17:54, Paul Eggert wrote:
> > On 10/22/18 1:44 AM, Vincent Lefevre wrote:
> >> On the behavior, there's still the issue concerning = and &.
> > 
> > Yes, you're right, there's no need to quote = with -b.
> 
> The reason \= is quoted with -bF is to distinguish socket
> names that end in =. An edge case indeed, though the issue
> is not particular to '=', but all of the classifier chars.
> 
> Now we could quote with -F only if these chars are at the end,
> though I'm not sure that complexity is warranted.

In any case, this form of quoting incorrect with -b, as \= is invalid
in ISO C.

-- 
Vincent Lefvre <vincent@HIDDEN> - Web: <https://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <https://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)




Message sent to bug-coreutils@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#33113: incorrect and inconsistent quoting in ls output
Resent-From: Paul Eggert <eggert@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-coreutils@HIDDEN
Resent-Date: Sun, 28 Oct 2018 20:12:02 +0000
Resent-Message-ID: <handler.33113.B33113.154075750222258 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 33113
X-GNU-PR-Package: coreutils
X-GNU-PR-Keywords: 
To: Vincent Lefevre <vincent@HIDDEN>
Cc: 33113 <at> debbugs.gnu.org, =?UTF-8?Q?P=C3=A1draig?= Brady <P@HIDDEN>
Received: via spool by 33113-submit <at> debbugs.gnu.org id=B33113.154075750222258
          (code B ref 33113); Sun, 28 Oct 2018 20:12:02 +0000
Received: (at 33113) by debbugs.gnu.org; 28 Oct 2018 20:11:42 +0000
Received: from localhost ([127.0.0.1]:49369 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gGrPS-0005mu-Eo
	for submit <at> debbugs.gnu.org; Sun, 28 Oct 2018 16:11:42 -0400
Received: from zimbra.cs.ucla.edu ([131.179.128.68]:44146)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eggert@HIDDEN>) id 1gGrPQ-0005mi-Md
 for 33113 <at> debbugs.gnu.org; Sun, 28 Oct 2018 16:11:40 -0400
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 2CF2716005B;
 Sun, 28 Oct 2018 13:11:35 -0700 (PDT)
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10032)
 with ESMTP id ofa1POqzjAp3; Sun, 28 Oct 2018 13:11:34 -0700 (PDT)
Received: from localhost (localhost [127.0.0.1])
 by zimbra.cs.ucla.edu (Postfix) with ESMTP id 5FB54160066;
 Sun, 28 Oct 2018 13:11:34 -0700 (PDT)
X-Virus-Scanned: amavisd-new at zimbra.cs.ucla.edu
Received: from zimbra.cs.ucla.edu ([127.0.0.1])
 by localhost (zimbra.cs.ucla.edu [127.0.0.1]) (amavisd-new, port 10026)
 with ESMTP id W86lTD5ZvQYN; Sun, 28 Oct 2018 13:11:34 -0700 (PDT)
Received: from [192.168.1.9] (cpe-23-242-74-103.socal.res.rr.com
 [23.242.74.103])
 by zimbra.cs.ucla.edu (Postfix) with ESMTPSA id 39FBA16005B;
 Sun, 28 Oct 2018 13:11:34 -0700 (PDT)
References: <20181021233440.GC25339@HIDDEN>
 <41e01873-ad78-3f76-7a8f-a036bb5fa733@HIDDEN>
 <20181022084457.GE25339@HIDDEN>
 <cfbbebee-19b8-dd02-6748-5ede4384309f@HIDDEN>
 <301b9c72-1c72-9c46-0566-569e34579ea4@HIDDEN>
 <20181028132102.GK25339@HIDDEN>
From: Paul Eggert <eggert@HIDDEN>
Organization: UCLA Computer Science Department
Message-ID: <a3bdae23-083d-9128-e899-9e620655e0b5@HIDDEN>
Date: Sun, 28 Oct 2018 13:11:33 -0700
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.2.1
MIME-Version: 1.0
In-Reply-To: <20181028132102.GK25339@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Vincent Lefevre wrote:
>> Now we could quote with -F only if these chars are at the end,
>> though I'm not sure that complexity is warranted.
> In any case, this form of quoting incorrect with -b, as \= is invalid
> in ISO C.

That's right, we need another way to escape classifier characters with -bF, 
since the current method is clearly wrong.

Let's use ""= instead, as it's valid ISO C. In other words, where we currently 
do this:

$ python -c "import socket as s; sock = s.socket(s.AF_UNIX); sock.bind('b')"
$ touch b= b=x
$ ls -bF
b=  b\=  b\=x

the last command should output this instead:

b=  b""=  b=x

This works because in ISO C "b""=" is equivalent to "b=". We should do this only 
with characters at the end, because it's not needed elsewhere and the "" is 
annoying.




Message sent to bug-coreutils@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#33113: incorrect and inconsistent quoting in ls output
Resent-From: Assaf Gordon <assafgordon@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-coreutils@HIDDEN
Resent-Date: Mon, 29 Oct 2018 03:49:02 +0000
Resent-Message-ID: <handler.33113.B33113.154078490215567 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 33113
X-GNU-PR-Package: coreutils
X-GNU-PR-Keywords: 
To: Paul Eggert <eggert@HIDDEN>, Vincent Lefevre <vincent@HIDDEN>
Cc: 33113 <at> debbugs.gnu.org, =?UTF-8?Q?P=C3=A1draig?= Brady <P@HIDDEN>
Received: via spool by 33113-submit <at> debbugs.gnu.org id=B33113.154078490215567
          (code B ref 33113); Mon, 29 Oct 2018 03:49:02 +0000
Received: (at 33113) by debbugs.gnu.org; 29 Oct 2018 03:48:22 +0000
Received: from localhost ([127.0.0.1]:49817 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gGyXM-000430-NJ
	for submit <at> debbugs.gnu.org; Sun, 28 Oct 2018 23:48:22 -0400
Received: from mail-pl1-f180.google.com ([209.85.214.180]:32928)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <assafgordon@HIDDEN>) id 1gGyXK-00042l-V4
 for 33113 <at> debbugs.gnu.org; Sun, 28 Oct 2018 23:48:19 -0400
Received: by mail-pl1-f180.google.com with SMTP id x6-v6so3137082pln.0
 for <33113 <at> debbugs.gnu.org>; Sun, 28 Oct 2018 20:48:18 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=subject:to:cc:references:from:message-id:date:user-agent
 :mime-version:in-reply-to:content-language:content-transfer-encoding;
 bh=VkK9O9/6MDX5tWqzp/7Wv82BuikHLQQWoTDr+bwlrqQ=;
 b=E2Ne0LVgNxnlQ8NJBV83xWQ9C3anbecXNL38BCoF58C2I2cp4GOlDuZi9WHSSq7CIm
 DjnM15sHrQEq/wlG5zXKY4wPrg3bhIb0X+qmZT0zYXEahaP4WnczjcfDqaJV5g8CoZNG
 RGhruJtDjYwbwakTemaElFTAe5Cf/omuG/lZu2Du9RT1cWWPGkdExiq3LpbGy2hVW44G
 izojgYeejF0b0A9Gk4mWQ026shSM0xzg6Swqv4BYPyLzXUDFl0N3ogWaHEJQkg50qEfA
 +S+UTe5Dxu503vwCRh4I9jHwsRpvhh5nyUKUc1lSPZZtvjbdK/ZVvXWrWb3eMXyZKSgq
 liAQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:subject:to:cc:references:from:message-id:date
 :user-agent:mime-version:in-reply-to:content-language
 :content-transfer-encoding;
 bh=VkK9O9/6MDX5tWqzp/7Wv82BuikHLQQWoTDr+bwlrqQ=;
 b=mah+fDbAOmTaIAVe0tHKrV1OKJRr1g6av2wB91O7t1OsIWMy9on6DGn/0F5URWF/B+
 86XRLM5L+mEqC9Ny8YEcOmW/gUA2IjG5BgcCha0zI8jkxITZ3icKDSP07ZfmBBOwYnxs
 /DTip2KP5l34ugREa6ITT5GR5Xc5O61GsmPokpkIEgWxQmYP+4P2ac7oLEi/pGCbAJ/q
 UzcFHv2abkoUe09U5Wawyl5PU+voha2zwhDlYsRxuZUZnT1DJrmuJ4sbq/TfbVCd1aEW
 WJv3hZPs7WCyaY55BCi+Zl3/sl5sNxi+hANkW7swNgmUeq3K4tQRotj8Yadpj39IVxEn
 0n8w==
X-Gm-Message-State: AGRZ1gJhSWnwQ298jDERIshAPIf8PZWyLUEeXlEtspjCKcrVahLxOIVn
 akU194oksZIe7HEbL4u6jEg=
X-Google-Smtp-Source: AJdET5dcopLzAv7ZF08cMCQ5uFEY9EQBsjqHBvpbXmIVZGHu9j1KfPfx+IF1KGLAvxvL2SzP8P/CKQ==
X-Received: by 2002:a17:902:7613:: with SMTP id
 k19-v6mr12608511pll.98.1540784892919; 
 Sun, 28 Oct 2018 20:48:12 -0700 (PDT)
Received: from tomato.housegordon.com (moose.housegordon.com. [184.68.105.38])
 by smtp.googlemail.com with ESMTPSA id
 u190-v6sm49866776pgu.3.2018.10.28.20.48.09
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Sun, 28 Oct 2018 20:48:11 -0700 (PDT)
References: <20181021233440.GC25339@HIDDEN>
 <41e01873-ad78-3f76-7a8f-a036bb5fa733@HIDDEN>
 <20181022084457.GE25339@HIDDEN>
 <cfbbebee-19b8-dd02-6748-5ede4384309f@HIDDEN>
 <301b9c72-1c72-9c46-0566-569e34579ea4@HIDDEN>
 <20181028132102.GK25339@HIDDEN>
 <a3bdae23-083d-9128-e899-9e620655e0b5@HIDDEN>
From: Assaf Gordon <assafgordon@HIDDEN>
Message-ID: <7521d546-ab19-1fb0-2b38-b0b83684d43c@HIDDEN>
Date: Sun, 28 Oct 2018 21:48:08 -0600
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.2.1
MIME-Version: 1.0
In-Reply-To: <a3bdae23-083d-9128-e899-9e620655e0b5@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello,

On 2018-10-28 2:11 p.m., Paul Eggert wrote:
> 
> That's right, we need another way to escape classifier characters with 
> -bF, since the current method is clearly wrong.
[...]
> This works because in ISO C "b""=" is equivalent to "b=". We should do 
> this only with characters at the end, because it's not needed elsewhere 
> and the "" is annoying.

Not sure if this is relevant,
but while going over old bugs I noticed this:

   Bug in 'ls -FQ': incorrectly quoted characters
   http://bugs.gnu.org/29832

Which reports incorrect quoting of "@" as "\@"
and also mentions "ls -b", and had a pending patch which was
never committed.

regards,
  -assaf







Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 30 Oct 2018 04:04:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 30 00:04:26 2018
Received: from localhost ([127.0.0.1]:52932 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gHLGU-00044i-6G
	for submit <at> debbugs.gnu.org; Tue, 30 Oct 2018 00:04:26 -0400
Received: from mail-pf1-f170.google.com ([209.85.210.170]:35102)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <assafgordon@HIDDEN>) id 1gHLGS-00044T-H4
 for control <at> debbugs.gnu.org; Tue, 30 Oct 2018 00:04:24 -0400
Received: by mail-pf1-f170.google.com with SMTP id z2-v6so2523983pfe.2
 for <control <at> debbugs.gnu.org>; Mon, 29 Oct 2018 21:04:24 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=to:from:message-id:date:user-agent:mime-version:content-language
 :content-transfer-encoding;
 bh=38OkpV+PMqi/2mxI01gC9cy70S9xIdr7KbZdRysq8aE=;
 b=DO+fTWnCY8K0aU+gC51Pfr7dJpvGYzQwZBwwN/mTJz5sLu6Oj3/XL4faiGZiMByqCr
 x0ImCy7VLzhE5WIbtziPQx93yLFAMim+13n38Fn6X5XpVrNWU+6bmRPhaAG3wH7/B056
 tIrwDVJ2MihziJ3D6RzaFBPlt08oCn+9wf+fBT+n07tqnmEFjZE2Zdc8C2z/oDbLehVg
 oBiObPJK8IWu7sUGltpHqJKXETVcJqrT2NaDvgvt9FVOd57JnEMf7TtcgGOMBVqVehyV
 mYHcRLiuJtnKemx2AsmmWLb9eykbseunDj48SzlfR4hp96tr8jrXNU23j+AT09uzN6JR
 Lf5g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:to:from:message-id:date:user-agent:mime-version
 :content-language:content-transfer-encoding;
 bh=38OkpV+PMqi/2mxI01gC9cy70S9xIdr7KbZdRysq8aE=;
 b=da+Uq16h7AP54/Nhk+fU88ilirjYEJ8bHPVJlJT6x6EUY1DM9gyly8TOcaPaD/xGAJ
 KryR8WRb6WEOFEHJeZPjIlOp+omxD8+w3/7zILCO3PBy35C1j2rMEVql6KFdJAXNpte2
 IGPogOFpoyM8eNL/ekggK09Ic2UhFhsSZardkAijGARWF+u/fCfgQiS/MZRFbPYBmvGY
 ilIk2W/2Bwiic461zgz3KwsWQED+9OTl6jwH4Xo1SLCWBdOyJr/+sn7yk0aSBcnNopdp
 wQCfdthZMUYWycQBMONJveX52ePhsglkc4WyGFw0ME1j8+QI/yiBM7zgcgRCVcv8dZqb
 WPZw==
X-Gm-Message-State: AGRZ1gKzSilzfAQLCuetuFl73z+L4JDMhpZWa6dBQkWnZmD/dQAwUHwZ
 ZOeIdYhGIeruHhFxU5syrdkPEnCgqyo=
X-Google-Smtp-Source: AJdET5c0VNfYialhWWYhTof1s7Ac/3sGLTNsEX/S0Ju99CuXNbMcQoTfNMhCKqy2DLobhdw0ulKoWA==
X-Received: by 2002:a63:4045:: with SMTP id
 n66-v6mr16634651pga.244.1540872258266; 
 Mon, 29 Oct 2018 21:04:18 -0700 (PDT)
Received: from tomato.housegordon.com (moose.housegordon.com. [184.68.105.38])
 by smtp.googlemail.com with ESMTPSA id
 v185-v6sm25188273pfv.48.2018.10.29.21.04.16
 for <control <at> debbugs.gnu.org>
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 29 Oct 2018 21:04:17 -0700 (PDT)
To: control <at> debbugs.gnu.org
From: Assaf Gordon <assafgordon@HIDDEN>
Message-ID: <549527b8-0b8e-fb00-026a-efa3579a37cc@HIDDEN>
Date: Mon, 29 Oct 2018 22:04:16 -0600
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.2.1
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: tags 33113 confirmed retitle 33113 ls: incorrect quoting of
 "=" [...] 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
 trust [209.85.210.170 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
 (assafgordon[at]gmail.com)
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [209.85.210.170 listed in wl.mailspike.net]
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 1.8 MISSING_SUBJECT        Missing Subject: header
 0.2 NO_SUBJECT             Extra score for no subject
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

tags 33113 confirmed
retitle 33113 ls: incorrect quoting of "="




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 30 Oct 2018 04:04:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Oct 30 00:04:26 2018
Received: from localhost ([127.0.0.1]:52932 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1gHLGU-00044i-6G
	for submit <at> debbugs.gnu.org; Tue, 30 Oct 2018 00:04:26 -0400
Received: from mail-pf1-f170.google.com ([209.85.210.170]:35102)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <assafgordon@HIDDEN>) id 1gHLGS-00044T-H4
 for control <at> debbugs.gnu.org; Tue, 30 Oct 2018 00:04:24 -0400
Received: by mail-pf1-f170.google.com with SMTP id z2-v6so2523983pfe.2
 for <control <at> debbugs.gnu.org>; Mon, 29 Oct 2018 21:04:24 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=to:from:message-id:date:user-agent:mime-version:content-language
 :content-transfer-encoding;
 bh=38OkpV+PMqi/2mxI01gC9cy70S9xIdr7KbZdRysq8aE=;
 b=DO+fTWnCY8K0aU+gC51Pfr7dJpvGYzQwZBwwN/mTJz5sLu6Oj3/XL4faiGZiMByqCr
 x0ImCy7VLzhE5WIbtziPQx93yLFAMim+13n38Fn6X5XpVrNWU+6bmRPhaAG3wH7/B056
 tIrwDVJ2MihziJ3D6RzaFBPlt08oCn+9wf+fBT+n07tqnmEFjZE2Zdc8C2z/oDbLehVg
 oBiObPJK8IWu7sUGltpHqJKXETVcJqrT2NaDvgvt9FVOd57JnEMf7TtcgGOMBVqVehyV
 mYHcRLiuJtnKemx2AsmmWLb9eykbseunDj48SzlfR4hp96tr8jrXNU23j+AT09uzN6JR
 Lf5g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:to:from:message-id:date:user-agent:mime-version
 :content-language:content-transfer-encoding;
 bh=38OkpV+PMqi/2mxI01gC9cy70S9xIdr7KbZdRysq8aE=;
 b=da+Uq16h7AP54/Nhk+fU88ilirjYEJ8bHPVJlJT6x6EUY1DM9gyly8TOcaPaD/xGAJ
 KryR8WRb6WEOFEHJeZPjIlOp+omxD8+w3/7zILCO3PBy35C1j2rMEVql6KFdJAXNpte2
 IGPogOFpoyM8eNL/ekggK09Ic2UhFhsSZardkAijGARWF+u/fCfgQiS/MZRFbPYBmvGY
 ilIk2W/2Bwiic461zgz3KwsWQED+9OTl6jwH4Xo1SLCWBdOyJr/+sn7yk0aSBcnNopdp
 wQCfdthZMUYWycQBMONJveX52ePhsglkc4WyGFw0ME1j8+QI/yiBM7zgcgRCVcv8dZqb
 WPZw==
X-Gm-Message-State: AGRZ1gKzSilzfAQLCuetuFl73z+L4JDMhpZWa6dBQkWnZmD/dQAwUHwZ
 ZOeIdYhGIeruHhFxU5syrdkPEnCgqyo=
X-Google-Smtp-Source: AJdET5c0VNfYialhWWYhTof1s7Ac/3sGLTNsEX/S0Ju99CuXNbMcQoTfNMhCKqy2DLobhdw0ulKoWA==
X-Received: by 2002:a63:4045:: with SMTP id
 n66-v6mr16634651pga.244.1540872258266; 
 Mon, 29 Oct 2018 21:04:18 -0700 (PDT)
Received: from tomato.housegordon.com (moose.housegordon.com. [184.68.105.38])
 by smtp.googlemail.com with ESMTPSA id
 v185-v6sm25188273pfv.48.2018.10.29.21.04.16
 for <control <at> debbugs.gnu.org>
 (version=TLS1_2 cipher=ECDHE-RSA-AES128-GCM-SHA256 bits=128/128);
 Mon, 29 Oct 2018 21:04:17 -0700 (PDT)
To: control <at> debbugs.gnu.org
From: Assaf Gordon <assafgordon@HIDDEN>
Message-ID: <549527b8-0b8e-fb00-026a-efa3579a37cc@HIDDEN>
Date: Mon, 29 Oct 2018 22:04:16 -0600
User-Agent: Mozilla/5.0 (X11; Linux x86_64; rv:60.0) Gecko/20100101
 Thunderbird/60.2.1
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: 2.0 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview: tags 33113 confirmed retitle 33113 ls: incorrect quoting of
 "=" [...] 
 Content analysis details:   (2.0 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at http://www.dnswl.org/, no
 trust [209.85.210.170 listed in list.dnswl.org]
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 FREEMAIL_FROM Sender email is commonly abused enduser mail provider
 (assafgordon[at]gmail.com)
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [209.85.210.170 listed in wl.mailspike.net]
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 1.8 MISSING_SUBJECT        Missing Subject: header
 0.2 NO_SUBJECT             Extra score for no subject
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 1.0 (+)

tags 33113 confirmed
retitle 33113 ls: incorrect quoting of "="





Last modified: Mon, 25 Nov 2019 12:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.